CAD开发者社区

 找回密码
 立即注册

QQ登录

只需一步,快速开始

ActiveX 开发指南

相关分类

GetProjectFilePath Method (ActiveX)

2023-1-4 07:10| 发布者: admin| 查看: 810| 评论: 0|来自: AutoCAD

摘要: 获取 AutoCAD 在其中查找外部参照文件的目录。

获取 AutoCAD 在其中查找外部参照文件的目录。

支持的平台:仅窗口

签名

工 务 局:

RetVal = object.GetProjectFilePath(ProjectName)
对象

类型:首选项文件

此方法适用的对象。

项目名称

访问:仅输入

类型:字符串

项目的名称。此名称也由 PROJECTNAME 系统变量控制。

返回值(RetVal)

类型:字符串

AutoCAD 在其中查找外部参照文件的目录。

言论

没有额外的评论。

例子

工 务 局:

Sub Example_GetProjectFilePath()
    ' This example finds the current project file information.
    
    Dim preferences As AcadPreferences
    Set preferences = ThisDrawing.Application.preferences
    
    ' Get the current project file information
    Dim currProjPath As String
    Dim currProjName As Variant
    currProjName = ThisDrawing.GetVariable("PROJECTNAME")
    If currProjName <> "" Then
        currProjPath = preferences.Files.GetProjectFilePath(currProjName)
    End If
    If currProjPath = "" Then
        MsgBox "There is no current project file or path. ", , "GetProjectFilePath Example"
    Else
        MsgBox "The current project file path is: " & currProjPath, , "GetProjectFilePath Example"
    End If
        
End Sub

Visual LISP:

(vl-load-com)
(defun c:Example_GetProjectFilePath()
    ;; This example finds the current project file information.
    (setq acadObj (vlax-get-acad-object))
    (setq preferences (vla-get-Preferences acadObj))

    ;; Get the current project file information
    (setq currProjName (vlax-variant-value (vla-GetVariable doc "PROJECTNAME")))
    (if (/= currProjName "")
        (progn
            (setq currProjPath (vla-GetProjectFilePath (vla-get-Files preferences) currProjName))
	           (alert (strcat "The current project file path is: " currProjPath))
	       )
        (alert "There is no current project file or path.")
    )
)

路过

雷人

握手

鲜花

鸡蛋

最新评论

QQ|Archiver|CAD开发者社区 ( 苏ICP备2022047690号-1 )

GMT+8, 2024-5-11 20:36

Powered by Discuz! X3.4

Copyright © 2001-2021, Tencent Cloud.

返回顶部